%define upstream_name	 Algorithm-C3
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A module for merging hierarchies using the C3 algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 0.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This module implements the C3 algorithm. Most of the uses for C3
revolve around class building and metamodels, but it could also be
used for things like dependency resolution as well since it tends to
do such a nice job of preserving local precedence orderings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Algorithm
%{_mandir}/man*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.110.0-3.mga10
+ Revision: 2206600
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-2.mga9
+ Revision: 1813570
- Mageia 9 Mass Rebuild

* Wed Nov 11 2020 tv <tv> 0.110.0-1.mga8
+ Revision: 1644536
- update to 0.11

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-8.mga8
+ Revision: 1503413
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-7.mga7
+ Revision: 1281549
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.100.0-6.mga7
+ Revision: 1162768
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1022230
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 944771
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 745530
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 683436
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 664027
- update to 0.10

* Mon Mar 03 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 598665
- update to 0.09

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 508987
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 362844
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 21998
- cleaning spec file
- imported package perl-Algorithm-C3

